<?php
/*
This file is part of Thomas Bley's moregroupware webmail2/calendar2/admin2 module. (tb-mgw)

More information:
-----------------

Simple Groupware Solutions Thomas Bley
Fichtenstr. 23
Germany, 85640 Putzbrunn

Contact:
--------

info@simple-groupware.de

http://www.simple-groupware.de


Copyright 2002-2003 Thomas Bley
tb-mgw is distributed under the terms of the GNU General Public License 

tb-mgw is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

tb-mgw is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with tb-mgw; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

// smenu.php
// Moregroupware.org

$o = 0;

$smenu[$o]["name"] = Lang::getLanguageString("top_new_email");
$smenu[$o]["link"] = ROOTURL."modules/webmail2/sendmail.php?".SID; 
$smenu[$o]["pic"] = "n_mini_new.gif";
$smenu[$o]["target"] = "rightframe";
$smenu[$o]["static_menu"]["show_only_pic"] = true;
$o++;

$smenu[$o]["name"] = "empty";
$o++;

$smenu[$o]["name"] = Lang::getLanguageString("top_print");
$smenu[$o]["link"] = "javascript:printit();"; 
$smenu[$o]["pic"] = "n_mini_print.gif";
$smenu[$o]["static_menu"]["show_only_pic"] = true;
$o++;

$smenu[$o]["name"] = Lang::getLanguageString("show_headers");
$smenu[$o]["link"] = "javascript:show_headers();"; 
$o++;

$smenu[$o]["name"] = Lang::getLanguageString("exporttoword");
$smenu[$o]["link"] = "javascript:exporttoword();"; 
$smenu[$o]["pic"] = "exporttoword.gif";
$smenu[$o]["static_menu"]["show_only_pic"] = true;
$o++;


$smenu[$o]["name"] = Lang::getLanguageString("top_delete");
$smenu[$o]["link"] = "javascript:deleteit();"; 
$smenu[$o]["pic"] = "n_mini_delete.gif";
$smenu[$o]["static_menu"]["show_only_pic"] = true;
$o++;

$smenu[$o]["name"] = "empty";
$o++;

$smenu[$o]["name"] = Lang::getLanguageString("top_reply");
$smenu[$o]["link"] = "javascript:reply();"; 
$smenu[$o]["pic"] = "n_mini_reply.gif";
$smenu[$o]["static_menu"]["show_only_pic"] = true;
$o++;

$smenu[$o]["name"] = Lang::getLanguageString("sendmail_reply_toall");
$smenu[$o]["link"] = "javascript:reply2();"; 
$smenu[$o]["pic"] = "n_mini_reply2.gif";
$smenu[$o]["static_menu"]["show_only_pic"] = true;
$o++;

$smenu[$o]["name"] = Lang::getLanguageString("top_forward");
$smenu[$o]["link"] = "javascript:forwardit();"; 
$smenu[$o]["pic"] = "n_mini_forward.gif";
$smenu[$o]["static_menu"]["show_only_pic"] = true;
$o++;

$smenu[$o]["name"] = Lang::getLanguageString("top_forward_compl");
$smenu[$o]["link"] = "javascript:forwardit2();"; 
$smenu[$o]["pic"] = "n_mini_forward2.gif";
$smenu[$o]["static_menu"]["show_only_pic"] = true;
$o++;

$smenu[$o]["name"] = "empty";
$o++;

$smenu[$o]["name"] = Lang::getLanguageString("top_receive_messages");
$smenu[$o]["link"] = ROOTURL."modules/webmail2/fetchmail.php?action=indexer&new=yes&".SID; 
$smenu[$o]["pic"] = "n_mini_receive.gif";
$smenu[$o]["target"] = "rightframe";
$o++;

$smenu[$o]["name"] = "empty";
$o++;

$smenu[$o]["name"] = Lang::getLanguageString("webmail2_settings_accounts");
$smenu[$o]["link"] = ROOTURL."modules/webmail2/settings.php?action=listaccounts&".SID; 
$smenu[$o]["pic"] = "n_settings.gif";
$smenu[$o]["target"] = "rightframe";
$o++;

$smenu[$o]["name"] = Lang::getLanguageString("webmail2_settings_filters");
$smenu[$o]["link"] = ROOTURL."modules/webmail2/filters.php?".SID; 
$smenu[$o]["pic"] = "filters.gif";
$smenu[$o]["target"] = "rightframe";
$o++;

$custom = "[null, '".Lang::getLanguageString("webmail2_flags")."',null, null, null,\n";
$custom2 = "<select class=\"stand\" onchange=\"execute_link(this.options[this.selectedIndex].value,this);\"><option>".Lang::getLanguageString("webmail2_flags")."</option>\n";

$custom .= "[null, '".Lang::getLanguageString("webmail2_maillist_flagged")."' ,'javascript:change_flag(\'-2\');', null, null],\n";
$custom2 .= "<option value=\"javascript:change_flag('-2');\">".Lang::getLanguageString("webmail2_maillist_flagged")."</option>\n";

$custom .= "[null, '".Lang::getLanguageString("webmail2_top_read_unread")."' ,'javascript:change_flag(\'-1\');', null, null],\n";
$custom2 .= "<option value=\"javascript:change_flag('-1');\">".Lang::getLanguageString("webmail2_top_read_unread")."</option>\n";

$custom .= "_cmSplit,";

$custom .= "[null, '".Lang::getLanguageString("webmail2_top_none")."' ,'javascript:change_flag(\'0\');', null, null],\n";
$custom2 .= "<option value=\"javascript:change_flag('0');\">".Lang::getLanguageString("webmail2_top_none")."</option>\n";

$custom .= "[null, '".Lang::getLanguageString("webmail2_maillist_important")."' ,'javascript:change_flag(\'1\');', null, null],\n";
$custom2 .= "<option value=\"javascript:change_flag('1');\">".Lang::getLanguageString("webmail2_maillist_important")."</option>\n";

$custom .= "[null, '".Lang::getLanguageString("webmail2_maillist_work")."' ,'javascript:change_flag(\'2\');', null, null],\n";
$custom2 .= "<option value=\"javascript:change_flag('2');\">".Lang::getLanguageString("webmail2_maillist_work")."</option>\n";

$custom .= "[null, '".Lang::getLanguageString("webmail2_maillist_personal")."' ,'javascript:change_flag(\'3\');', null, null],\n";
$custom2 .= "<option value=\"javascript:change_flag('3');\">".Lang::getLanguageString("webmail2_maillist_personal")."</option>\n";

$custom .= "[null, '".Lang::getLanguageString("webmail2_maillist_todo")."' ,'javascript:change_flag(\'4\');', null, null],\n";
$custom2 .= "<option value=\"javascript:change_flag('4');\">".Lang::getLanguageString("webmail2_maillist_todo")."</option>\n";

$custom .= "[null, '".Lang::getLanguageString("webmail2_maillist_later")."' ,'javascript:change_flag(\'5\');', null, null],\n";
$custom2 .= "<option value=\"javascript:change_flag('5');\">".Lang::getLanguageString("webmail2_maillist_later")."</option>\n";

$custom .= "],";
$custom2 .= "</select>\n";

createSubmenu($smenu);
$smarty->assign("custom_module_menu",$custom);
$smarty->assign("custom_module_menu2",$custom2);
?>